package com.huimv.admin.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.admin.system.entity.Account;
import com.huimv.common.utils.Result;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author astupidcoder
 * @since 2021-09-09
 */
public interface IAccountService extends IService<Account> {
    Result setAccountStatus(List<Integer> ids, Integer status);

    Result newAccount(Integer userId);

    Result cancelAccount(Integer id, Integer accountStatus);

    Result removeAccount(List<Integer> ids);

    Result findAll();
}
